org.bouncycastle.asn1.cmc

## Class TaggedCertificationRequest

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.TaggedCertificationRequest

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class TaggedCertificationRequest
      extends ASN1Object

             TaggedCertificationRequest ::= SEQUENCE {
                        bodyPartID            BodyPartID,
                        certificationRequest  CertificationRequest
             }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaggedCertificationRequest(BodyPartID bodyPartID, CertificationRequest certificationRequest)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BodyPartID` | `getBodyPartID()`
    `CertificationRequest` | `getCertificationRequest()`
    `static TaggedCertificationRequest` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static TaggedCertificationRequest` | `getInstance(java.lang.Object o)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaggedCertificationRequest

          public TaggedCertificationRequest(BodyPartID bodyPartID,
                                            CertificationRequest certificationRequest)

  - ### Method Detail

    - #### getInstance

          public static TaggedCertificationRequest getInstance(java.lang.Object o)

    - #### getInstance

          public static TaggedCertificationRequest getInstance(ASN1TaggedObject obj,
                                                               boolean explicit)

    - #### getBodyPartID

          public BodyPartID getBodyPartID()

    - #### getCertificationRequest

          public CertificationRequest getCertificationRequest()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.